Ticket #4228 (closed defect: fixed)

Opened 8 years ago

Last modified 7 years ago

管理者承認制で追加プロフィール情報が携帯の本登録に反映されない

Reported by: pnetan Assigned to: kiwa
Priority: minor Milestone: OpenPNE2.14.5
Component: pne-ktai Version: 2.14.x
Keywords: Cc:

Description (Last modified by kiwa)

■現象

携帯版だと「参加時の管理者承認」が必要な場合、メンバー登録時に登録したプロフィール項目が反映されずに消えてしまう。(ニックネーム、生まれた年、誕生日以外の項目が消えてしまう)

■原因

「参加時の管理人承認」が必要な場合にプロフィール項目がc_member_pre_profileに保存されていなかった。

■修正内容

「参加時の管理人承認」が必要な場合でもプロフィールを一時登録するようにした。

■関連情報

関連チケット

#4337 参加時の管理者承認制でプロフィールが登録されない

もとの報告

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=21260より転記

OpenPNE 2.14.0 の「SNS参加時の管理者承認制」機能にて。

SNS新規登録時に独自のプロフィール項目(例えば「現住所」など)を追加している場合、管理画面の承認待ちリストから承認すると、追加したプロフィール項目の内容が本登録に反映されません。(PC版、携帯版とも)

ソースを追いかけてみましたが、管理者承認制が有効の場合、承認前の仮登録時にプロフィールテーブル(c_member_pre_profile)に登録されていないのが原因のようです。

ということで、以下のモジュールにてプロフィール仮登録ロジックを追加してみる。
/webapp/modules/pc/do/o_regist_prof.php
/webapp/modules/ktai/do/o_insert_c_member.php

更に、以下のモジュールにて承認時と否認時に仮プロフィール情報の削除ロジックを追加してみる。
/webapp/modules/admin/do/admit_sns_entry.php 

Change History

08/19/09 16:58:56 changed by nakasone

  • keywords deleted.

以下のような確認を行ったところ再現できました。

■確認ブラウザ

  • FireFox3

■確認バージョン

  • 2.14.x

■手順

  1. 管理画面→SNS設定→参加時の管理者承認:「必要」に設定
  2. 管理画面→プロフィール項目設定:項目を追加しておく
  3. 新規登録を行う→追加項目に内容を入力して登録
  4. 登録承認後、プロフィールを確認→追加項目の内容が空になっている

03/02/10 17:29:26 changed by imamura623

  • summary changed from 追加プロフィール情報が本登録に反映されない to 管理者承認制で追加プロフィール情報が携帯の本登録に反映されない.
  • component changed from 指定しない to pne-ktai.
  • milestone set to OpenPNE2.14.5.

PC側については #4337 にて対応済みです。

報告元にあるように携帯版の対応がなされていないので、このチケットでは携帯版の対応を行います。

03/15/10 14:23:27 changed by kiwa

  • owner changed from nobody to kiwa.
  • status changed from new to assigned.

やります

03/15/10 14:44:23 changed by kiwa

  • keywords set to 確認中.
  • description changed.

#4337 で行った修正を携帯版にも反映させました。

03/17/10 15:52:24 changed by kawahara

チェックします。

03/17/10 16:08:19 changed by kawahara

  • keywords changed from 確認中 to テスト待ち.

チェックしました

03/17/10 18:17:15 changed by imamura623

  • keywords changed from テスト待ち to 差し戻し.

差し戻しです。追加プロフィールの値が引き継がれません。

03/17/10 22:05:52 changed by kiwa

  • keywords changed from 差し戻し to 確認中.

以下のリビジョンで修正しました。確認おねがいします。

03/18/10 16:08:40 changed by kawahara

  • keywords changed from 確認中 to 差し戻し.

以下のコードは、参加承認制であったときのみにするべきでしょう。

        $c_member_pre_id = db_member_insert_c_member_pre_from_ktai(
                                                $prof['c_member_id_invite']
                                               ,$pre['ktai_address']
                                               ,$pre['ktai_address']
                                               ,$pre['session']);

03/18/10 16:21:15 changed by kiwa

  • keywords changed from 差し戻し to 確認中.

以下のリビジョンにて、$c_member_pre_idの登録を仮登録の直前に変更しました

03/18/10 16:33:31 changed by kawahara

  • keywords changed from 確認中 to テスト待ち.

問題なしとします。

03/18/10 17:21:54 changed by imamura623

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

動作確認しました。問題ありません。